# class RDoc::Markup::AttrSpan

An array of attributes which parallels the characters in a string.

### Public Class Methods

new(length) click to toggle source

Creates a new AttrSpan for `length` characters

    # File lib/rdoc/markup/attr_span.rb, line 9
    def initialize(length)
      @attrs = Array.new(length, 0)
    end

### Public Instance Methods

[](n) click to toggle source

Accesses flags for character `n`

    # File lib/rdoc/markup/attr_span.rb, line 24
    def [](n)
      @attrs[n]
    end

set_attrs(start, length, bits) click to toggle source

Toggles `bits` from `start` to `length`

    # File lib/rdoc/markup/attr_span.rb, line 15
    def set_attrs(start, length, bits)
      for i in start ... (start+length)
        @attrs[i] |= bits
      end
    end